XmTextFieldGetSelection(library call)

NAME
XmTextFieldGetSelection — A TextField function that retrieves the value of the primary selection

SYNOPSIS

#include <Xm/TextF.h>
char * XmTextFieldGetSelection(
Widget widget);

DESCRIPTION

XmTextFieldGetSelection retrieves the value of the primary selection. It returns a NULL pointer if no text is selected in the widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the TextField widget ID

For a complete definition of TextField and its associated resources, see XmTextField(3).

RETURN

Returns a character pointer to the string that is associated with the primary selection.

RELATED

XmTextField(3) and XmTextFieldGetSelectionWcs(3).